// Generated by CoffeeScript 2.3.1
// VIDEOS = "begging, calm, crying, dancing".split(", ") # leftover
var COLORS, CROPS, HELP, SIZE, VIDEOS, squarecrops;

VIDEOS = "begging, calm, crying, dancing, finding, flies, music, offering, proposal, realfight, selfie, truemusicsearch, wait".split(", "); // leftover

SIZE = {
  w: 256,
  h: 256
};

COLORS = {
  left: "#dc2f",
  right: "#2daf",
  chroma: "#2d9321"
};

HELP = "Your goal is to connect all figures to their pairs based on matching interactions. <br>Try dragging the figures close to one another to form connections.<br>When you are done, this button will let you see your results.";

squarecrops = "[{\"name\":\"begging\",\"crop\":\"959:960:427:1\"},{\"name\":\"calm\",\"crop\":\"959:960:553:2\"},{\"name\":\"crying\",\"crop\":\"960:960:547:0\"},{\"name\":\"dancing\",\"crop\":\"959:960:553:3\"},{\"name\":\"fighting\",\"crop\":\"960:960:424:5\"},{\"name\":\"finding\",\"crop\":\"960:960:430:9\"},{\"name\":\"flies\",\"crop\":\"959:960:553:3\"},{\"name\":\"leftover\",\"crop\":\"960:960:451:0\"},{\"name\":\"music\",\"crop\":\"960:960:490:3\"},{\"name\":\"offering\",\"crop\":\"960:960:550:3\"},{\"name\":\"preproposal\",\"crop\":\"960:960:508:38\"},{\"name\":\"proposal\",\"crop\":\"960:960:505:20\"},{\"name\":\"realfight\",\"crop\":\"960:960:430:6\"},{\"name\":\"searchmusic\",\"crop\":\"960:960:487:3\"},{\"name\":\"selfie\",\"crop\":\"959:960:553:1\"},{\"name\":\"truemusicsearch\",\"crop\":\"960:960:487:3\"},{\"name\":\"wait\",\"crop\":\"960:960:556:1\"}]";

CROPS = JSON.parse("[\n{\n  \"name\": \"begging\",\n  \"uvs\": [\n    {\n      \"a\": {\n        \"x\": 0.03262233375156838,\n        \"y\": 0.18629279208542712\n      },\n      \"b\": {\n        \"x\": 0.5457967377666249,\n        \"y\": 0.9903128925879396\n      },\n      \"vs\": [\n        {\n          \"x\": 0.03262233375156838,\n          \"y\": 0.18629279208542712\n        },\n        {\n          \"x\": 0.5457967377666249,\n          \"y\": 0.18629279208542712\n        },\n        {\n          \"x\": 0.5457967377666249,\n          \"y\": 0.9903128925879396\n        },\n        {\n          \"x\": 0.03262233375156838,\n          \"y\": 0.9903128925879396\n        }\n      ],\n      \"w\": 0.5131744040150564,\n      \"h\": 0.8040201005025125\n    },\n    {\n      \"a\": {\n        \"x\": 0.5420326223337516,\n        \"y\": 0.5983530935929648\n      },\n      \"b\": {\n        \"x\": 0.9598494353826851,\n        \"y\": 0.9878003297738692\n      },\n      \"vs\": [\n        {\n          \"x\": 0.5420326223337516,\n          \"y\": 0.5983530935929648\n        },\n        {\n          \"x\": 0.9598494353826851,\n          \"y\": 0.5983530935929648\n        },\n        {\n          \"x\": 0.9598494353826851,\n          \"y\": 0.9878003297738692\n        },\n        {\n          \"x\": 0.5420326223337516,\n          \"y\": 0.9878003297738692\n        }\n      ],\n      \"w\": 0.4178168130489335,\n      \"h\": 0.3894472361809044\n    }\n  ]\n},\n{\n  \"name\": \"calm\",\n  \"uvs\": [\n    {\n      \"a\": {\n        \"x\": 0.020095282308657464,\n        \"y\": 0.1624234453517588\n      },\n      \"b\": {\n        \"x\": 0.40401505646173147,\n        \"y\": 0.9878003297738692\n      },\n      \"vs\": [\n        {\n          \"x\": 0.020095282308657464,\n          \"y\": 0.1624234453517588\n        },\n        {\n          \"x\": 0.40401505646173147,\n          \"y\": 0.1624234453517588\n        },\n        {\n          \"x\": 0.40401505646173147,\n          \"y\": 0.9878003297738692\n        },\n        {\n          \"x\": 0.020095282308657464,\n          \"y\": 0.9878003297738692\n        }\n      ],\n      \"w\": 0.383939774153074,\n      \"h\": 0.8253768844221104\n    },\n    {\n      \"a\": {\n        \"x\": 0.45294855708908405,\n        \"y\": 0.16744857097989949\n      },\n      \"b\": {\n        \"x\": 0.8858218318695107,\n        \"y\": 0.9840314855527638\n      },\n      \"vs\": [\n        {\n          \"x\": 0.45294855708908405,\n          \"y\": 0.16744857097989949\n        },\n        {\n          \"x\": 0.8858218318695107,\n          \"y\": 0.16744857097989949\n        },\n        {\n          \"x\": 0.8858218318695107,\n          \"y\": 0.9840314855527638\n        },\n        {\n          \"x\": 0.45294855708908405,\n          \"y\": 0.9840314855527638\n        }\n      ],\n      \"w\": 0.43287327478042664,\n      \"h\": 0.8165829145728642\n    }\n  ]\n},\n{\n  \"name\": \"crying\",\n  \"uvs\": [\n    {\n      \"a\": {\n        \"x\": 0.07528230865746549,\n        \"y\": 0.1975993247487437\n      },\n      \"b\": {\n        \"x\": 0.4968632371392723,\n        \"y\": 0.9589058574120602\n      },\n      \"vs\": [\n        {\n          \"x\": 0.07528230865746549,\n          \"y\": 0.1975993247487437\n        },\n        {\n          \"x\": 0.4968632371392723,\n          \"y\": 0.1975993247487437\n        },\n        {\n          \"x\": 0.4968632371392723,\n          \"y\": 0.9589058574120602\n        },\n        {\n          \"x\": 0.07528230865746549,\n          \"y\": 0.9589058574120602\n        }\n      ],\n      \"w\": 0.4215809284818068,\n      \"h\": 0.7613065326633166\n    },\n    {\n      \"a\": {\n        \"x\": 0.5658720200752823,\n        \"y\": 0.18629279208542712\n      },\n      \"b\": {\n        \"x\": 0.9498117942283564,\n        \"y\": 0.9626747016331657\n      },\n      \"vs\": [\n        {\n          \"x\": 0.5658720200752823,\n          \"y\": 0.18629279208542712\n        },\n        {\n          \"x\": 0.9498117942283564,\n          \"y\": 0.18629279208542712\n        },\n        {\n          \"x\": 0.9498117942283564,\n          \"y\": 0.9626747016331657\n        },\n        {\n          \"x\": 0.5658720200752823,\n          \"y\": 0.9626747016331657\n        }\n      ],\n      \"w\": 0.3839397741530741,\n      \"h\": 0.7763819095477386\n    }\n  ]\n},\n{\n  \"name\": \"dancing\",\n  \"uvs\": [\n    {\n      \"a\": {\n        \"x\": 0.05771643663739021,\n        \"y\": 0.14986063128140703\n      },\n      \"b\": {\n        \"x\": 0.5031367628607277,\n        \"y\": 0.9702123900753767\n      },\n      \"vs\": [\n        {\n          \"x\": 0.05771643663739021,\n          \"y\": 0.14986063128140703\n        },\n        {\n          \"x\": 0.5031367628607277,\n          \"y\": 0.14986063128140703\n        },\n        {\n          \"x\": 0.5031367628607277,\n          \"y\": 0.9702123900753767\n        },\n        {\n          \"x\": 0.05771643663739021,\n          \"y\": 0.9702123900753767\n        }\n      ],\n      \"w\": 0.4454203262233375,\n      \"h\": 0.8203517587939697\n    },\n    {\n      \"a\": {\n        \"x\": 0.5533249686323714,\n        \"y\": 0.0581922895728643\n      },\n      \"b\": {\n        \"x\": 0.9535759096612296,\n        \"y\": 0.979006359924623\n      },\n      \"vs\": [\n        {\n          \"x\": 0.5533249686323714,\n          \"y\": 0.0581922895728643\n        },\n        {\n          \"x\": 0.9535759096612296,\n          \"y\": 0.0581922895728643\n        },\n        {\n          \"x\": 0.9535759096612296,\n          \"y\": 0.979006359924623\n        },\n        {\n          \"x\": 0.5533249686323714,\n          \"y\": 0.979006359924623\n        }\n      ],\n      \"w\": 0.4002509410288583,\n      \"h\": 0.8128140703517588\n    }\n  ]\n},\n{\n  \"name\": \"finding\",\n  \"uvs\": [\n    {\n      \"a\": {\n        \"x\": 0.033877038895859475,\n        \"y\": 0.16493600816582915\n      },\n      \"b\": {\n        \"x\": 0.5708908406524467,\n        \"y\": 0.9965942996231155\n      },\n      \"vs\": [\n        {\n          \"x\": 0.033877038895859475,\n          \"y\": 0.16493600816582915\n        },\n        {\n          \"x\": 0.5708908406524467,\n          \"y\": 0.16493600816582915\n        },\n        {\n          \"x\": 0.5708908406524467,\n          \"y\": 0.9965942996231155\n        },\n        {\n          \"x\": 0.033877038895859475,\n          \"y\": 0.9965942996231155\n        }\n      ],\n      \"w\": 0.5370138017565872,\n      \"h\": 0.8316582914572863\n    },\n    {\n      \"a\": {\n        \"x\": 0.6148055207026348,\n        \"y\": 0.21141842022613064\n      },\n      \"b\": {\n        \"x\": 0.9786700125470514,\n        \"y\": 1.000363143844221\n      },\n      \"vs\": [\n        {\n          \"x\": 0.6148055207026348,\n          \"y\": 0.21141842022613064\n        },\n        {\n          \"x\": 0.9786700125470514,\n          \"y\": 0.21141842022613064\n        },\n        {\n          \"x\": 0.9786700125470514,\n          \"y\": 1.000363143844221\n        },\n        {\n          \"x\": 0.6148055207026348,\n          \"y\": 1.000363143844221\n        }\n      ],\n      \"w\": 0.3638644918444166,\n      \"h\": 0.7889447236180904\n    }\n  ]\n},\n{\n  \"name\": \"flies\",\n  \"uvs\": [\n    {\n      \"a\": {\n        \"x\": 0.04642409033877039,\n        \"y\": 0.16493600816582915\n      },\n      \"b\": {\n        \"x\": 0.45420326223337515,\n        \"y\": 0.9727249528894472\n      },\n      \"vs\": [\n        {\n          \"x\": 0.04642409033877039,\n          \"y\": 0.16493600816582915\n        },\n        {\n          \"x\": 0.45420326223337515,\n          \"y\": 0.16493600816582915\n        },\n        {\n          \"x\": 0.45420326223337515,\n          \"y\": 0.9727249528894472\n        },\n        {\n          \"x\": 0.04642409033877039,\n          \"y\": 0.9727249528894472\n        }\n      ],\n      \"w\": 0.4077791718946048,\n      \"h\": 0.807788944723618\n    },\n    {\n      \"a\": {\n        \"x\": 0.5269761606022585,\n        \"y\": 0.14609178706030151\n      },\n      \"b\": {\n        \"x\": 0.9811794228356336,\n        \"y\": 0.9878003297738692\n      },\n      \"vs\": [\n        {\n          \"x\": 0.5269761606022585,\n          \"y\": 0.14609178706030151\n        },\n        {\n          \"x\": 0.9811794228356336,\n          \"y\": 0.14609178706030151\n        },\n        {\n          \"x\": 0.9811794228356336,\n          \"y\": 0.9878003297738692\n        },\n        {\n          \"x\": 0.5269761606022585,\n          \"y\": 0.9878003297738692\n        }\n      ],\n      \"w\": 0.45420326223337515,\n      \"h\": 0.8417085427135678\n    }\n  ]\n},\n{\n  \"name\": \"music\",\n  \"uvs\": [\n    {\n      \"a\": {\n        \"x\": 0.10664993726474278,\n        \"y\": 0.1611671639447236\n      },\n      \"b\": {\n        \"x\": 0.5094102885821832,\n        \"y\": 0.9764937971105527\n      },\n      \"vs\": [\n        {\n          \"x\": 0.10664993726474278,\n          \"y\": 0.1611671639447236\n        },\n        {\n          \"x\": 0.5094102885821832,\n          \"y\": 0.1611671639447236\n        },\n        {\n          \"x\": 0.5094102885821832,\n          \"y\": 0.9764937971105527\n        },\n        {\n          \"x\": 0.10664993726474278,\n          \"y\": 0.9764937971105527\n        }\n      ],\n      \"w\": 0.40276035131744037,\n      \"h\": 0.8153266331658291\n    },\n    {\n      \"a\": {\n        \"x\": 0.5872020075282308,\n        \"y\": 0.21644354585427136\n      },\n      \"b\": {\n        \"x\": 0.9661229611041405,\n        \"y\": 0.9965942996231155\n      },\n      \"vs\": [\n        {\n          \"x\": 0.5872020075282308,\n          \"y\": 0.21644354585427136\n        },\n        {\n          \"x\": 0.9661229611041405,\n          \"y\": 0.21644354585427136\n        },\n        {\n          \"x\": 0.9661229611041405,\n          \"y\": 0.9965942996231155\n        },\n        {\n          \"x\": 0.5872020075282308,\n          \"y\": 0.9965942996231155\n        }\n      ],\n      \"w\": 0.3789209535759097,\n      \"h\": 0.7801507537688441\n    }\n  ]\n},\n{\n  \"name\": \"offering\",\n  \"uvs\": [\n    {\n      \"a\": {\n        \"x\": 0.020075282308657464,\n        \"y\": 0.13981038002512564\n      },\n      \"b\": {\n        \"x\": 0.5307402760351317,\n        \"y\": 0.9727249528894472\n      },\n      \"vs\": [\n        {\n          \"x\": 0.020075282308657464,\n          \"y\": 0.13981038002512564\n        },\n        {\n          \"x\": 0.5307402760351317,\n          \"y\": 0.13981038002512564\n        },\n        {\n          \"x\": 0.5307402760351317,\n          \"y\": 0.9727249528894472\n        },\n        {\n          \"x\": 0.020075282308657464,\n          \"y\": 0.9727249528894472\n        }\n      ],\n      \"w\": 0.5106649937264742,\n      \"h\": 0.8329145728643215\n    },\n    {\n      \"a\": {\n        \"x\": 0.5357590966122961,\n        \"y\": 0.19634304334170852\n      },\n      \"b\": {\n        \"x\": 0.9372647427854455,\n        \"y\": 0.977750078517588\n      },\n      \"vs\": [\n        {\n          \"x\": 0.5357590966122961,\n          \"y\": 0.19634304334170852\n        },\n        {\n          \"x\": 0.9372647427854455,\n          \"y\": 0.19634304334170852\n        },\n        {\n          \"x\": 0.9372647427854455,\n          \"y\": 0.977750078517588\n        },\n        {\n          \"x\": 0.5357590966122961,\n          \"y\": 0.977750078517588\n        }\n      ],\n      \"w\": 0.4015056461731493,\n      \"h\": 0.7814070351758795\n    }\n  ]\n},\n{\n  \"name\": \"proposal\",\n  \"uvs\": [\n    {\n      \"a\": {\n        \"x\": 0.05771643663739021,\n        \"y\": 0.20011188756281406\n      },\n      \"b\": {\n        \"x\": 0.4742785445420326,\n        \"y\": 0.9827752041457286\n      },\n      \"vs\": [\n        {\n          \"x\": 0.05771643663739021,\n          \"y\": 0.20011188756281406\n        },\n        {\n          \"x\": 0.4742785445420326,\n          \"y\": 0.20011188756281406\n        },\n        {\n          \"x\": 0.4742785445420326,\n          \"y\": 0.9827752041457286\n        },\n        {\n          \"x\": 0.05771643663739021,\n          \"y\": 0.9827752041457286\n        }\n      ],\n      \"w\": 0.4165621079046424,\n      \"h\": 0.7826633165829145\n    },\n    {\n      \"a\": {\n        \"x\": 0.4893350062735257,\n        \"y\": 0.20639329459798994\n      },\n      \"b\": {\n        \"x\": 0.9234629861982434,\n        \"y\": 0.9664435458542713\n      },\n      \"vs\": [\n        {\n          \"x\": 0.4893350062735257,\n          \"y\": 0.20639329459798994\n        },\n        {\n          \"x\": 0.9234629861982434,\n          \"y\": 0.20639329459798994\n        },\n        {\n          \"x\": 0.9234629861982434,\n          \"y\": 0.9664435458542713\n        },\n        {\n          \"x\": 0.4893350062735257,\n          \"y\": 0.9664435458542713\n        }\n      ],\n      \"w\": 0.4341279799247177,\n      \"h\": 0.7600502512562813\n    }\n  ]\n},\n{\n  \"name\": \"realfight\",\n  \"uvs\": [\n    {\n      \"a\": {\n        \"x\": 0.0890840652446675,\n        \"y\": 0.1624234453517588\n      },\n      \"b\": {\n        \"x\": 0.5809284818067754,\n        \"y\": 0.9978505810301507\n      },\n      \"vs\": [\n        {\n          \"x\": 0.0890840652446675,\n          \"y\": 0.1624234453517588\n        },\n        {\n          \"x\": 0.5809284818067754,\n          \"y\": 0.1624234453517588\n        },\n        {\n          \"x\": 0.5809284818067754,\n          \"y\": 0.9978505810301507\n        },\n        {\n          \"x\": 0.0890840652446675,\n          \"y\": 0.9978505810301507\n        }\n      ],\n      \"w\": 0.49184441656210787,\n      \"h\": 0.8354271356783919\n    },\n    {\n      \"a\": {\n        \"x\": 0.5784190715181933,\n        \"y\": 0.21769982726130652\n      },\n      \"b\": {\n        \"x\": 0.9761606022584692,\n        \"y\": 0.9953380182160803\n      },\n      \"vs\": [\n        {\n          \"x\": 0.5784190715181933,\n          \"y\": 0.21769982726130652\n        },\n        {\n          \"x\": 0.9761606022584692,\n          \"y\": 0.21769982726130652\n        },\n        {\n          \"x\": 0.9761606022584692,\n          \"y\": 0.9953380182160803\n        },\n        {\n          \"x\": 0.5784190715181933,\n          \"y\": 0.9953380182160803\n        }\n      ],\n      \"w\": 0.39774153074027596,\n      \"h\": 0.7776381909547737\n    }\n  ]\n},\n{\n  \"name\": \"selfie\",\n  \"uvs\": [\n    {\n      \"a\": {\n        \"x\": 0.018820577164366373,\n        \"y\": 0.16744857097989949\n      },\n      \"b\": {\n        \"x\": 0.4742785445420326,\n        \"y\": 0.9940817368090452\n      },\n      \"vs\": [\n        {\n          \"x\": 0.018820577164366373,\n          \"y\": 0.16744857097989949\n        },\n        {\n          \"x\": 0.4742785445420326,\n          \"y\": 0.16744857097989949\n        },\n        {\n          \"x\": 0.4742785445420326,\n          \"y\": 0.9940817368090452\n        },\n        {\n          \"x\": 0.018820577164366373,\n          \"y\": 0.9940817368090452\n        }\n      ],\n      \"w\": 0.45545796737766625,\n      \"h\": 0.8266331658291457\n    },\n    {\n      \"a\": {\n        \"x\": 0.48306148055207027,\n        \"y\": 0.15488575690954773\n      },\n      \"b\": {\n        \"x\": 0.9698870765370138,\n        \"y\": 0.9953380182160803\n      },\n      \"vs\": [\n        {\n          \"x\": 0.48306148055207027,\n          \"y\": 0.15488575690954773\n        },\n        {\n          \"x\": 0.9698870765370138,\n          \"y\": 0.15488575690954773\n        },\n        {\n          \"x\": 0.9698870765370138,\n          \"y\": 0.9953380182160803\n        },\n        {\n          \"x\": 0.48306148055207027,\n          \"y\": 0.9953380182160803\n        }\n      ],\n      \"w\": 0.4868255959849435,\n      \"h\": 0.8404522613065325\n    }\n  ]\n},\n{\n  \"name\": \"truemusicsearch\",\n  \"uvs\": [\n    {\n      \"a\": {\n        \"x\": 0.10664993726474278,\n        \"y\": 0.2026244503768844\n      },\n      \"b\": {\n        \"x\": 0.4893350062735257,\n        \"y\": 0.985287766959799\n      },\n      \"vs\": [\n        {\n          \"x\": 0.10664993726474278,\n          \"y\": 0.2026244503768844\n        },\n        {\n          \"x\": 0.4893350062735257,\n          \"y\": 0.2026244503768844\n        },\n        {\n          \"x\": 0.4893350062735257,\n          \"y\": 0.985287766959799\n        },\n        {\n          \"x\": 0.10664993726474278,\n          \"y\": 0.985287766959799\n        }\n      ],\n      \"w\": 0.38268506900878296,\n      \"h\": 0.7826633165829147\n    },\n    {\n      \"a\": {\n        \"x\": 0.6022584692597239,\n        \"y\": 0.22523751570351755\n      },\n      \"b\": {\n        \"x\": 0.9824341279799247,\n        \"y\": 0.9903128925879396\n      },\n      \"vs\": [\n        {\n          \"x\": 0.6022584692597239,\n          \"y\": 0.22523751570351755\n        },\n        {\n          \"x\": 0.9824341279799247,\n          \"y\": 0.22523751570351755\n        },\n        {\n          \"x\": 0.9824341279799247,\n          \"y\": 0.9903128925879396\n        },\n        {\n          \"x\": 0.6022584692597239,\n          \"y\": 0.9903128925879396\n        }\n      ],\n      \"w\": 0.38017565872020076,\n      \"h\": 0.7650753768844221\n    }\n  ]\n},\n{\n  \"name\": \"wait\",\n  \"uvs\": [\n    {\n      \"a\": {\n        \"x\": 0.05897114178168131,\n        \"y\": 0.19006163630653264\n      },\n      \"b\": {\n        \"x\": 0.45545796737766625,\n        \"y\": 0.963930983040201\n      },\n      \"vs\": [\n        {\n          \"x\": 0.05897114178168131,\n          \"y\": 0.19006163630653264\n        },\n        {\n          \"x\": 0.45545796737766625,\n          \"y\": 0.19006163630653264\n        },\n        {\n          \"x\": 0.45545796737766625,\n          \"y\": 0.963930983040201\n        },\n        {\n          \"x\": 0.05897114178168131,\n          \"y\": 0.963930983040201\n        }\n      ],\n      \"w\": 0.3964868255959849,\n      \"h\": 0.7738693467336684\n    },\n    {\n      \"a\": {\n        \"x\": 0.5018820577164367,\n        \"y\": 0.2026244503768844\n      },\n      \"b\": {\n        \"x\": 0.9058971141781681,\n        \"y\": 0.9626747016331657\n      },\n      \"vs\": [\n        {\n          \"x\": 0.5018820577164367,\n          \"y\": 0.2026244503768844\n        },\n        {\n          \"x\": 0.9058971141781681,\n          \"y\": 0.2026244503768844\n        },\n        {\n          \"x\": 0.9058971141781681,\n          \"y\": 0.9626747016331657\n        },\n        {\n          \"x\": 0.5018820577164367,\n          \"y\": 0.9626747016331657\n        }\n      ],\n      \"w\": 0.4040150564617314,\n      \"h\": 0.7600502512562813\n    }\n  ]\n}\n]");

//# sourceMappingURL=config.js.map
